* {
  box-sizing: border-box;
}

a {
  text-decoration: none !important;
}

a:hover {
  color: white;
}

body {
  font-family: "Roboto", sans-serif;
  display: flex;
  height:100vh; /* fix IE11 */
  flex-direction: column;
  margin: 0;
  /* font-size: 1rem; */
  line-height: 1.6;
}

main {
  display: flex;
  flex: 1 0 auto;
  margin: 0 auto;
  order: 2;
  flex-direction: column;
  align-content: flex-start;
}

main > section {
  max-width: 1600px;
  padding: 1vh 10vw;
}

header, footer, section {
  padding: 1em;
}

header {
  order: 1;
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 10vh;
  min-height: 7rem;
}

footer {
  background-color: black;
  color: white;
  order: 3;
  flex-shrink: 0;
}

footer .container {
  margin: 0 auto;
  max-width: 1600px;
  padding: 2.5vh 10vw;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
}

footer #copyright_text {
  float: right;
}

h1 {
  font-weight: 700;
  font-size: 2rem;
  line-height: 1;
  margin: 20px 0 !important;
  /* border-left: 8px solid black; */
  /* padding-left: 15px; */
}

h1::before {
  content: "λ";
  margin-right: 20px;
  color: #ccc;
}

/* span.separator {
  width: 100px;
  border-bottom: 5px solid #000;
  display: inline-block;
} */

::selection, ::-moz-selection {
  background: black;
  color: white;
}

p > a:hover {
  color: black;
  background-color: #f2ccff;
  text-decoration: none;
}

.logo_footer_img {
  height: 3rem;
}

h1.breadcrumb {
  margin-bottom: 0 !important;
}

ul.breadcrumb {
  list-style: none;
  margin: 0;
  font-size: 0.8rem;
}

ul.breadcrumb li {
  display: inline;
}

ul.breadcrumb li a {
  border-bottom: 2px solid #f2ccff;
}

ul.breadcrumb li a:hover {
  color: black;
  background-color: #f2ccff;
}

ul.breadcrumb li+li:before {
  padding: 8px;
  color: ccc;
  content: "→";
}

.works {
  margin-right: -10px;
}

.work_desc {
  padding-left: 20px;
  width: 100%;
  flex-basis: 300px;
  flex-grow: 1;
}

.work_item {
  background-color: black;
  color: white;
  max-width: 400px;
  margin: 0 15px 15px 0;
}

.work_item.single {
  margin-top: 20px;
  background-color: #efefef;
}

.work_link {
  display: block;
  color: white;
}

.work_item:hover h3 {
  box-shadow: inset 0 -3px 0 #f2ccff;
}

.work_item figure {
  margin: 0;
  padding: 15px 15px 10px 15px;
}

.work_item figcaption {
  padding: 0 15px 15px 15px;
}

.work_item h3 {
  margin: 0;
}

.work_item img {
  width: 100%;
}

a {
  text-decoration: none;
  color: #aaa;
}

p > a {
  border-bottom: 2px solid #f2ccff;
}

ul.social {
  list-style: none;
  padding: 0;
}

footer ul.social li {
  height: 3rem;
}

#work_buttons {
  margin-top: 10px;
}

button {
  margin-top: 10px;
  background-color: black;
  color: white;
  border: none;
  line-height: 2rem;
  font-weight: 700;
  padding: 0;
  display: inline-block;
  border-radius: 0;
  transition: none !important;
}

button a {
  padding: 10px 15px;
  display: block;
  color: white;
}

button:active {
  color: white;
}

button h3 {
  margin: 0;
}

button:hover {
  background-color: #222;
}

button:hover h3 {
  box-shadow: inset 0 -3px 0 #f2ccff;
}

button:hover span.typcn::before {
  background-color:#222;
  color: white;
}


button span.typcn {
  padding-left: 10px;
}

footer ul.social span.typcn::before {
  font-size: 3rem;
  line-height: 3rem;
  border-radius: 50%;
}

ul.social li {
  display: inline-block;
  height: 100px;
}

ul.social span.typcn::before {
  padding: 0;
  font-size: 4rem;
  line-height: 4rem;
  border-radius: 50%;
}

a:hover .typcn::before {
  color: black;
  background-color: #f2ccff;
}

#logo_link {
  width: 6rem;
  height: 6rem;
  border-radius: 50%;
}

#logo_link:hover {
  background-color: #f2ccff;
}

#logo_container {
  height: 6rem;
  display: flex;
  justify-content: center;
  align-items: center;
}

#logo_img {
  height: 5rem;
}